clear; clc;

dt=0.01;

%------------------------- Acceleration -------------------------------
load accelerationEW25.out;
acc25=accelerationEW25;

load accelerationEW15.out;
acc15=accelerationEW15;

acc=(acc15(:,20)+acc25(:,20))*0.5;

T=acc25(:,1);
subplot(2,1,1)
plot(T,acc/386.2,'--'); % Inch
ylabel('Acceleration (g)'); xlabel('Time (sec)');
%grid;zoom on;

%---------------------- Recorded Roof Acc.-----------------------------
load rec_ch15.tcl;
roofacc=rec_ch15;
[a b]=size(roofacc);

t=[0.0:dt:(dt*a-0.01)];
hold;
plot(t,roofacc/386.2,'g');
legend('OpenSees','Observed')
axis([0 40 -1 1]);
%------------------------- Displacement -------------------------------
load Floor_19_Disp_EW.out;
disp=Floor_19_Disp_EW; 
%disp=(disp(:,1)+disp(:,2)+disp(:,3)+disp(:,4))/4;
disp=disp(:,2);

subplot(2,1,2)
plot(T,disp,'--'); % Inch
ylabel('Displacement (in)'); xlabel('Duration (sec)');
%grid;zoom on;

%---------------------- Recorded Roof Disp.-----------------------------
load rec_ch15_disp.tcl;
roofdisp=rec_ch15_disp;

load rec_ch4_disp.tcl;
basedisp=rec_ch4_disp;

[a b]=size(roofdisp);
[c d]=size(basedisp);

reldisp=roofdisp(1:a)-basedisp(1:a);

hold;
plot(t,reldisp,'g');
legend('OpenSees','Observed')
axis([0 40 -20 20]);







