%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                    Story Drift and Displacement Plotting Routine
%                   
% Last Modified : Oct_03 
% by Erol Kalkan
% Description : This file takes all interstory drift datafiles as well as 
% storey displacements and plot them, displacements are normalized to height
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
h=2262; % TOTAL HEIGHT OF BUILDING

%~~~~~~~~~~~~INTER STOREY DRIFT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
load Story_1_Drift.out;
load Story_2_Drift.out;
load Story_3_Drift.out;
load Story_4_Drift.out;
load Story_5_Drift.out;
load Story_6_Drift.out;
load Story_7_Drift.out;
load Story_8_Drift.out;
load Story_9_Drift.out;
load Story_10_Drift.out;
load Story_11_Drift.out;
load Story_12_Drift.out;
load Story_13_Drift.out;
load Story_14_Drift.out;


d1=Story_1_Drift;
d2=Story_2_Drift;
d3=Story_3_Drift;
d4=Story_4_Drift;
d5=Story_5_Drift;
d6=Story_6_Drift;
d7=Story_7_Drift;
d8=Story_8_Drift;
d9=Story_9_Drift;
d10=Story_10_Drift;
d11=Story_11_Drift;
d12=Story_12_Drift;
d13=Story_13_Drift;
d14=Story_14_Drift;

d1max=max(abs(d1));
d2max=max(abs(d2));
d3max=max(abs(d3));
d4max=max(abs(d4));
d5max=max(abs(d5));
d6max=max(abs(d6));
d7max=max(abs(d7));
d8max=max(abs(d8));
d9max=max(abs(d9));
d10max=max(abs(d10));
d11max=max(abs(d11));
d12max=max(abs(d12));
d13max=max(abs(d13));
d14max=max(abs(d14));

dmax=[0 d1max d2max d3max d4max d5max d6max d7max d8max d9max d10max d11max d12max d13max d14max]'
sl=[0 1 2 3 4 5 6 7 8 9 10 11 12 13 14]'
subplot(1,2,1)
plot(dmax,sl,'r-s'); 
ylabel('Story Level');
xlabel('Inter Story Drift (%)');
zoom on;

%~~~~~~~~~~~~ DISPLACEMENT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
load Floor_1_Displ.out;
load Floor_2_Displ.out;
load Floor_3_Displ.out;
load Floor_4_Displ.out;
load Floor_5_Displ.out;
load Floor_6_Displ.out;
load Floor_7_Displ.out;
load Floor_8_Displ.out;
load Floor_9_Displ.out;
load Floor_10_Displ.out;
load Floor_11_Displ.out;
load Floor_12_Displ.out;
load Floor_13_Displ.out;
load Floor_14_Displ.out;

dd1=Floor_1_Displ;
dd2=Floor_2_Displ;
dd3=Floor_3_Displ;
dd4=Floor_4_Displ;
dd5=Floor_5_Displ;
dd6=Floor_6_Displ;
dd7=Floor_7_Displ;
dd8=Floor_8_Displ;
dd9=Floor_9_Displ;
dd10=Floor_10_Displ;
dd11=Floor_11_Displ;
dd12=Floor_12_Displ;
dd13=Floor_13_Displ;
dd14=Floor_14_Displ;

dd1max=max(abs(dd1));
dd2max=max(abs(dd2));
dd3max=max(abs(dd3));
dd4max=max(abs(dd4));
dd5max=max(abs(dd5));
dd6max=max(abs(dd6));
dd7max=max(abs(dd7));
dd8max=max(abs(dd8));
dd9max=max(abs(dd9));
dd10max=max(abs(dd10));
dd11max=max(abs(dd11));
dd12max=max(abs(dd12));
dd13max=max(abs(dd13));
dd14max=max(abs(dd14));

ddmax=[ 0 dd1max dd2max dd3max dd4max dd5max dd6max dd7max dd8max dd9max dd10max dd11max dd12max dd13max dd14max]'/h

subplot(1,2,2)
plot(ddmax,sl,'-s'); 
ylabel('Story Level');
xlabel('Roof Drift Ratio');
zoom on;
hold;

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
%       DRIFT AND DISPLACEMENT INTO FILE
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 

fid = fopen ('Drift.out','w'); % 
fprintf (fid,'%6.4f\n',dmax);
fclose(fid)

fid = fopen ('Displacement.out','w'); % 
fprintf (fid,'%6.4f\n',ddmax);
fclose(fid)



