%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                    Story Drift and Displacement Plotting Routine
%                   
% Last Modified : Oct_03 
% by Erol Kalkan
% Description : This file takes all interstory drift datafiles as well as 
% storey displacements and plot them, displacements are normalized to height
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
clear; clc; close all;
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
nstory=25;

m=[3.38 0 0 0 0 0 0 0 0 0 0 0 0 0
0 3.23 0 0 0 0 0 0 0 0 0 0 0 0
0 0 2.92 0 0 0 0 0 0 0 0 0 0 0 
0 0 0 2.92 0 0 0 0 0 0 0 0 0 0 
0 0 0 0 2.92 0 0 0 0 0 0 0 0 0 
0 0 0 0 0 2.92 0 0 0 0 0 0 0 0 
0 0 0 0 0 0 2.92 0 0 0 0 0 0 0 
0 0 0 0 0 0 0 2.92 0 0 0 0 0 0 
0 0 0 0 0 0 0 0 2.92 0 0 0 0 0 
0 0 0 0 0 0 0 0 0 2.92 0 0 0 0 
0 0 0 0 0 0 0 0 0 0 2.92 0 0 0 
0 0 0 0 0 0 0 0 0 0 0 2.92 0 0 
0 0 0 0 0 0 0 0 0 0 0 0 2.92 0 
0 0 0 0 0 0 0 0 0 0 0 0 0 1.46];

ii(1:nstory)=1;
ii=ii';
Mtot=sum(sum(m)); % TOTAL MASS

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

d1=load ('Eigen_1y_150.eig');
d2=load ('Eigen_1y_250.eig');
d3=load ('Eigen_1y_350.eig');
d4=load ('Eigen_1y_450.eig');
d5=load ('Eigen_1y_550.eig');
d6=load ('Eigen_1y_650.eig');
d7=load ('Eigen_1y_750.eig');
d8=load ('Eigen_1y_850.eig');
d9=load ('Eigen_1y_950.eig');
d10=load ('Eigen_1y_1050.eig');
d11=load ('Eigen_1y_1150.eig');
d12=load ('Eigen_1y_1250.eig');
d13=load ('Eigen_1y_1350.eig');
d14=load ('Eigen_1y_1450.eig');
d15=load ('Eigen_1y_1550.eig');
d16=load ('Eigen_1y_1650.eig');
d17=load ('Eigen_1y_1750.eig');
d18=load ('Eigen_1y_1850.eig');
d19=load ('Eigen_1y_1950.eig');
d20=load ('Eigen_1y_2050.eig');
d21=load ('Eigen_1y_2150.eig');
d22=load ('Eigen_1y_2150.eig');
d23=load ('Eigen_1y_2250.eig');
d24=load ('Eigen_1y_2350.eig');
d25=load ('Eigen_1y_2450.eig');

d0=zeros(length(d1),1);
sl=[0:25]'
d=[d0 d25 d24 d23 d22 d21 d20 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19];

figure(1);  subplot(1,2,1); plot([0,0],[0,nstory],'-'); hold;
for i=1:length(d1);
    plot(d(i,:),sl,'r-s'); 
    ylabel('Story Level');
    xlabel('Eigen Vector (Mode-1)');
zoom on;
end
    subplot(1,2,2);
    plot([0,0],[0,nstory],'-'); hold;
    plot(d(1,:),sl,'r-s'); 
    plot(d(length(d),:),sl,'-o'); legend('','Initial','Final'); xlabel('Eigen Vector (Mode-1)');

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
for j=1:length(d);
    fi=d(j,2:nstory+1)';
    L(j)=fi'*m*ii;
    M(j)=fi'*m*fi;
    G(j)=L(j)/M(j);
    alfa(j)=L(j)^2/Mtot/M(j);
end;
  
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
%       ALFA INTO FILE
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
fid = fopen ('alfa_1.alf','w'); % 
fprintf (fid,'%6.4f\n',alfa);
fclose(fid)

