clear; clc; close all;
%--------------------------------------------------------------------------
h=3240; % TOTAL HEIGHT OF BUILDING
%--------------------------------------------------------------------------
nsucc=0;
for NM=1:1;
    GM=[1:21];
    num=GM(NM);
    ch1 = num2str(num);
    
% Check fail or success    
   fid=0;
   filename = strcat('output/M_',ch1,'.log');
   [fid,message] = fopen(filename, 'r');
   if fid == -1
    disp(message);
   end
   line = fgets(fid);
   dp = line(10:19); % Decision parameter
   if(dp == 'Successful');
    fprintf('Ground motion in process = %5.0f  Status = %s\n',num,dp); 
    nsucc = nsucc+1;
    for sn = 1:19;
        if sn <=19; 
            Story_Drift_EW = strcat('output/M_',ch1,'/Story_',num2str(sn),'_Drift_EW.out');
            Floor_Displ = strcat('output/M_',ch1,'/Floor_',num2str(sn),'_Displ.out');
            pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_',num2str(sn),'.out');
            pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_',num2str(sn),'.out');
        elseif sn == 20;
            Story_Drift_EW = strcat('output/M_',ch1,'/Story_Lo_Drift_EW.out');
            Floor_Displ = strcat('output/M_',ch1,'/Floor_Lo_Displ.out');
            pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_Lo.out');
            pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_Lo.out');
        elseif sn == 21;
            Story_Drift_EW = strcat('output/M_',ch1,'/Story_Gr_Drift_EW.out');
            Floor_Displ = strcat('output/M_',ch1,'/Floor_Gr_Displ.out');
            pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_Gr.out');
            pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_Gr.out');
        elseif sn == 22;
            Story_Drift_EW = strcat('output/M_',ch1,'/Story_B1_Drift_EW.out');
            Floor_Displ = strcat('output/M_',ch1,'/Floor_B1_Displ.out');      
            pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_B1.out');
            pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_B1.out');
        elseif sn == 23;
            Story_Drift_EW = strcat('output/M_',ch1,'/Story_B2_Drift_EW.out');
            Floor_Displ = strcat('output/M_',ch1,'/Floor_B2_Displ.out');
            pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_B2.out');
            pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_B2.out');
        elseif sn == 24;
            Story_Drift_EW = strcat('output/M_',ch1,'/Story_B3_Drift_EW.out');
            Floor_Displ = strcat('output/M_',ch1,'/Floor_B3_Displ.out');
            pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_B3.out');
            pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_B3.out');
        end
        dmaxtemp(sn) = max(abs(Story_Drift_EW));
        ddmaxtemp(sn) = max(abs(Floor_Displ));
    
        c1=load (pl_def_all_cols);
        c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18)];
        c1=abs(c1); plmax(sn,1)=max(c1);
    
        b1=load (pl_def_all_beams);
        b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18) ];
        b1=abs(b1); plmax(sn,2)=max(b1);
    end
    mplrot=max(plmax,[],2);
    beam_plastic_rot=plmax(:,2);
    col_plastic_rot=plmax(:,1);
    maxplrotc(1)=0; maxplrotc(2:sn+1)=plmax(1:sn,1); 
    maxplrotb(1)=0; maxplrotb(2:sn+1)=plmax(1:sn,2); 
    ddmax(1) = 0; ddmax(2:sn+1) = ddmaxtemp(1:sn);
    ddmax = ddmax/h;
    cnt = 0;
    c=[1:sn]';
    s2(1) = 0;
    for i = 1:2:(length(dmax))*2;
        cnt = cnt+1;
        dmax_new (i) = dmax(cnt);
        dmax_new (i+1) = dmax(cnt);
        s2(i+1) = sl(cnt);
        s2(i+2) = sl(cnt);
    end
    dmax_new = dmax_new';
    s2(end) = sn;
%--------------------------------------------------------------------------
    output(:, nsucc)=[dmax_new' 0 ddmax' 0 maxplrotc 0 maxplrotb duct]';
    IDR(:,nsucc)=dmax_new;
    RDR(:,nsucc)=ddmax;
    Col_Rot(:,nsucc)=maxplrotc';
    Beam_Rot(:,nsucc)=maxplrotb';
  end
end
%--------------------------------------------------------------------------
%                       Mean and Dispersion of RESULTS 
%--------------------------------------------------------------------------
mIDR=mean(IDR,2); sIDR=std(IDR,0,2);
mRDR=mean(RDR,2); sRDR=std(RDR,0,2);
mCol_Rot=mean(Col_Rot,2); sCol_Rot=std(Col_Rot,0,2);
mBeam_Rot=mean(Beam_Rot,2); sBeam_Rot=std(Beam_Rot,0,2);
%--------------------------------------------------------------------------
%                       Median and Dispersion of RESULTS 
%--------------------------------------------------------------------------
medIDR = geomean(IDR'); medIDR = medIDR';
medRDR = geomean(RDR'); medRDR = medRDR';
medCol_Rot = geomean(Col_Rot'); medCol_Rot = medCol_Rot';
medBeam_Rot = geomean(Beam_Rot'); medBeam_Rot = medBeam_Rot';

figure(1);
subplot(1,2,1); plot(medIDR,s2,'-s'); hold; plot(medIDR+sIDR,s2,'--'); plot(medIDR-sIDR,s2,'--');
ylabel('Story Level'); xlabel('Inter Story Drift')

subplot(1,2,2); plot(medRDR,sl,'r-s'); hold; plot(medRDR+sRDR,sl,'--'); plot(medRDR-sRDR,sl,'--'); 
xlabel('Roof Drift Ratio');

figure(2);
subplot(1,3,2); plot(medCol_Rot,sl,'k-s'); hold; plot(medCol_Rot+sCol_Rot,sl,'--'); plot(medCol_Rot-sCol_Rot,sl,'--'); 
xlabel('Beam Plastic Rotation');

subplot(1,3,3); plot(medBeam_Rot,sl,'c-s'); hold; plot(medBeam_Rot+sBeam_Rot,sl,'--');  plot(medBeam_Rot-sBeam_Rot,sl,'--'); 
xlabel('Col. Plastic Rotation');

save post_process.mat