wipeAnalysis
loadConst -time 0.0

file mkdir ../19-Story_New/output/Calibration
set filename "../19-Story_New/output/Calibration"

set outFile1 ..//GMs/CHAN07_90_1.tcl; # X-direction
set outFile2 ..//GMs/CHAN06_0_1.tcl; # Y-direction

set dt 0.01;
set Nsteps 6000

set GMfatt [expr 100/2.54]; # From meter to inch

source recorder.tcl
set fileId [open ../19-Story_New/output/calibration.log w 0600]

set  gamma 0.5
set beta 0.25;

set alphaM [expr 0.0384];   # Mass proportional ao
set betaK [expr 0.0103];   # Stiffness proportional a1
set betaKcomm 0
set betaKinit 0

system UmfPack
constraints Transformation
numberer RCM
integrator Newmark $gamma $beta $alphaM $betaK $betaKcomm $betaKinit; 

set Gaccel1 "Series -dt $dt -filePath $outFile1 -factor $GMfatt"; # time series information
set Gaccel2 "Series -dt $dt -filePath $outFile2 -factor $GMfatt"; # time series information

pattern UniformExcitation 2 1 -accel $Gaccel1; # create uniform excitation
pattern UniformExcitation 3 2 -accel $Gaccel2; # create uniform excitation; # NS Direction, y

analysis Transient

    set tFinal [expr $Nsteps * $dt]
    set tCurrent 0
    set ok 0
    while {$tFinal > $tCurrent && $ok == 0} {
      puts "GM no: Base Motion Scale Factor: $GMfatt tfinal: $tFinal tcurrent: $tCurrent"
      test EnergyIncr 1.0e-5 1000;
      set ok [analyze 1 $dt]
      if {$ok != 0} {
		algorithm NewtonLineSearch
	      set ok [analyze 1 $dt]
      	  if {$ok == 0} {puts "NewtonLineSearch successful"}
	        if {$ok != 0} {
      	  puts "FAILED: $tCurrent"; 
   	        puts $fileId "Analysis Failed (time=$tCurrent, step=[expr $tCurrent/$dt])"
  		  break;
	        }
	}
      set tCurrent [getTime]	
    }
    if {$ok == 0} {
	puts $fileId "Analysis Successful"
    }
    close $fileId
    puts "Analysis completed"






