#====================================================================
#set AnalysisOption "Static";             # Pushover Analysis
#set AnalysisOption "Eigen";              # Eigen Analysis
set AnalysisOption "Dynamic";            # Time History Analysis
#====================================================================
wipe;
model BasicBuilder -ndm 3 -ndf 6;
set nStory 19;

source matrixMass.tcl
source matrixMat.tcl

source matrixNodes.tcl

source xsectionW.tcl
source xsectionBrace.tcl
source xsectionBox.tcl

source matrixGeoTran.tcl
source assignColumn.tcl
source assignBeam.tcl
source assignBrace.tcl

#====================================================================
puts "ANALYSIS START !!!"
if {$AnalysisOption == "Eigen"} {
#	source analysisGravity.tcl
	source analysisEigen.tcl
}
if {$AnalysisOption == "Static"} {
      source gravity.tcl
	source gravityanalysis.tcl

set NSP 3; # Loading pattern for pushover analysis
	source pushover.tcl
	source pushoveranalysis.tcl
}
if {$AnalysisOption == "Dynamic"} {
	source analysisGravity.tcl
	source analysisDynamicCalibration.tcl
}

wipe
