#################################################################################################
#
# Static Pushover Load Application 
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  

# LATERAL LOADS (STORY FORCES)

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#             MASS PROPORTIONAL UNIFORM
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    if {$NSP == 2} {
        pattern Plain 2 Linear {
#         node	 FX    FY     MZ
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    load   99       $IRM  0.0    0.0
    load   92       $IM   0.0    0.0
    load   85       $IM   0.0    0.0
    load   78       $IM   0.0    0.0
    load   71       $IM   0.0    0.0
    load   64       $IM   0.0    0.0
    load   57       $IM   0.0    0.0
    load   50       $IM   0.0    0.0
    load   43       $IM   0.0    0.0
    load   36       $IM   0.0    0.0
    load   29       $IM   0.0    0.0
    load   22       $IM   0.0    0.0
    load   15       $ISM  0.0    0.0
    load    8       $IFM  0.0    0.0
        }

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                  TRIANGLE NSP-1
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   } elseif {$NSP == 1} {
        pattern Plain 3 Linear {
#         node	 FX    FY     MZ
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    load   99       69.8    0.0    0.0
    load   92      129.9    0.0    0.0
    load   85      120.2    0.0    0.0
    load   78      110.4    0.0    0.0
    load   71      100.6    0.0    0.0
    load   64       90.9    0.0    0.0
    load   57       81.1    0.0    0.0
    load   50       71.4    0.0    0.0
    load   43       61.6    0.0    0.0
    load   36       51.9    0.0    0.0
    load   29       42.1    0.0    0.0
    load   22       32.4    0.0    0.0
    load   15       25.2    0.0    0.0
    load    8       12.5    0.0    0.0
        }

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                  1st MODE 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 3} {
source eigenvectors.tcl
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
set d -1; # Direction of loading
    load   99       [expr $ev1_14*$IRM*$d] 0.0    0.0
    load   92       [expr $ev1_13*$IM*$d]  0.0    0.0
    load   85       [expr $ev1_12*$IM*$d]  0.0    0.0
    load   78       [expr $ev1_11*$IM*$d]  0.0    0.0
    load   71       [expr $ev1_10*$IM*$d]  0.0    0.0
    load   64       [expr $ev1_9*$IM*$d]   0.0    0.0
    load   57       [expr $ev1_8*$IM*$d]   0.0    0.0
    load   50       [expr $ev1_7*$IM*$d]   0.0    0.0
    load   43       [expr $ev1_6*$IM*$d]   0.0    0.0
    load   36       [expr $ev1_5*$IM*$d]   0.0    0.0
    load   29       [expr $ev1_4*$IM*$d]   0.0    0.0
    load   22       [expr $ev1_3*$IM*$d]   0.0    0.0
    load   15       [expr $ev1_2*$ISM*$d]  0.0    0.0
    load    8       [expr $ev1_1*$IFM*$d]  0.0    0.0
        }
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                  2nd MODE 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 4} {
source eigenvectors.tcl
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
set d -1; # Direction of loading
    load   99       [expr $ev2_14*$IRM*$d] 0.0    0.0
    load   92       [expr $ev2_13*$IM*$d]  0.0    0.0
    load   85       [expr $ev2_12*$IM*$d]  0.0    0.0
    load   78       [expr $ev2_11*$IM*$d]  0.0    0.0
    load   71       [expr $ev2_10*$IM*$d]  0.0    0.0
    load   64       [expr $ev2_9*$IM*$d]   0.0    0.0
    load   57       [expr $ev2_8*$IM*$d]   0.0    0.0
    load   50       [expr $ev2_7*$IM*$d]   0.0    0.0
    load   43       [expr $ev2_6*$IM*$d]   0.0    0.0
    load   36       [expr $ev2_5*$IM*$d]   0.0    0.0
    load   29       [expr $ev2_4*$IM*$d]   0.0    0.0
    load   22       [expr $ev2_3*$IM*$d]   0.0    0.0
    load   15       [expr $ev2_2*$ISM*$d]  0.0    0.0
    load    8       [expr $ev2_1*$IFM*$d]  0.0    0.0
        }

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                  3rd MODE 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 5} {
source eigenvectors.tcl
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
set d 1; # Direction of loading
    load   99       [expr $ev3_14*$IRM*$d] 0.0    0.0
    load   92       [expr $ev3_13*$IM*$d]  0.0    0.0
    load   85       [expr $ev3_12*$IM*$d]  0.0    0.0
    load   78       [expr $ev3_11*$IM*$d]  0.0    0.0
    load   71       [expr $ev3_10*$IM*$d]  0.0    0.0
    load   64       [expr $ev3_9*$IM*$d]   0.0    0.0
    load   57       [expr $ev3_8*$IM*$d]   0.0    0.0
    load   50       [expr $ev3_7*$IM*$d]   0.0    0.0
    load   43       [expr $ev3_6*$IM*$d]   0.0    0.0
    load   36       [expr $ev3_5*$IM*$d]   0.0    0.0
    load   29       [expr $ev3_4*$IM*$d]   0.0    0.0
    load   22       [expr $ev3_3*$IM*$d]   0.0    0.0
    load   15       [expr $ev3_2*$ISM*$d]  0.0    0.0
    load    8       [expr $ev3_1*$IFM*$d]  0.0    0.0
        }
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#               MODAL COMBINATION M1+M2
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 6} {
source eigenvectors.tcl
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
set d1  [expr 1*6*17.26*51*0.01]; # 1 Mode scale factor
set d2  [expr -1*6*7.22*28.5*0.01]; # 2 Mode scale factor
set d3  0; # 3 Mode scale factor
    load   85       [expr $ev1_12*$IRM*$d1+$ev2_12*$IRM*$d2+$ev3_12*$IRM*$d3] 0.0    0.0
    load   78       [expr $ev1_11*$IM*$d1+$ev2_11*$IM*$d2+$ev3_11*$IM*$d3] 0.0    0.0
    load   71       [expr $ev1_10*$IM*$d1+$ev2_10*$IM*$d2+$ev3_10*$IM*$d3] 0.0    0.0
    load   64       [expr $ev1_9*$IM*$d1+$ev2_9*$IM*$d2+$ev3_9*$IM*$d3]    0.0    0.0
    load   57       [expr $ev1_8*$IM*$d1+$ev2_8*$IM*$d2+$ev3_8*$IM*$d3]    0.0    0.0
    load   50       [expr $ev1_7*$IM*$d1+$ev2_7*$IM*$d2+$ev3_7*$IM*$d3]    0.0    0.0
    load   43       [expr $ev1_6*$IM*$d1+$ev2_6*$IM*$d2+$ev3_6*$IM*$d3]    0.0    0.0
    load   36       [expr $ev1_5*$IM*$d1+$ev2_5*$IM*$d2+$ev3_5*$IM*$d3]    0.0    0.0
    load   29       [expr $ev1_4*$IM*$d1+$ev2_4*$IM*$d2+$ev3_4*$IM*$d3]    0.0    0.0
    load   22       [expr $ev1_3*$IM*$d1+$ev2_3*$IM*$d2+$ev3_3*$IM*$d3]    0.0    0.0
    load   15       [expr $ev1_2*$IM*$d1+$ev2_2*$IM*$d2+$ev3_2*$IM*$d3]    0.0    0.0
    load    8       [expr $ev1_1*$IFM*$d1+$ev2_1*$IFM*$d2+$ev3_1*$IFM*$d3]    0.0    0.0
        }
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#  FEMA 1.3 Loading Based on BSE-2 Response Spectrum
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 7} {
source eigenvectors.tcl
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
set d1  0.899; # 1 Mode scale factor
set d2  0.376; # 2 Mode scale factor
set d3  -0.223; # 3 Mode scale factor

    load   85       0.033    0.0    0.0
    load   78       0.049    0.0    0.0
    load   71       0.060    0.0    0.0
    load   64       0.069    0.0    0.0
    load   57       0.076    0.0    0.0
    load   50       0.083    0.0    0.0
    load   43       0.090    0.0    0.0
    load   36       0.096    0.0    0.0
    load   29       0.102    0.0    0.0
    load   22       0.108    0.0    0.0
    load   15       0.115    0.0    0.0
    load    8       0.120    0.0    0.0
        }
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#               MODAL COMBINATION M1+M2-M3
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 8} {
source eigenvectors.tcl
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
set d1  [expr 6*17.26*142.9*0.01]; # 1 Mode scale factor
set d2  [expr -0.5*6*7.22*393.9*0.01]; # 2 Mode scale factor
set d3  [expr 0.1*6*-4.271*668.1*0.01]; # 3 Mode scale factor
    load   85       [expr $ev1_12*$IRM*$d1+$ev2_12*$IRM*$d2+$ev3_12*$IRM*$d3] 0.0    0.0
    load   78       [expr $ev1_11*$IM*$d1+$ev2_11*$IM*$d2+$ev3_11*$IM*$d3] 0.0    0.0
    load   71       [expr $ev1_10*$IM*$d1+$ev2_10*$IM*$d2+$ev3_10*$IM*$d3] 0.0    0.0
    load   64       [expr $ev1_9*$IM*$d1+$ev2_9*$IM*$d2+$ev3_9*$IM*$d3]    0.0    0.0
    load   57       [expr $ev1_8*$IM*$d1+$ev2_8*$IM*$d2+$ev3_8*$IM*$d3]    0.0    0.0
    load   50       [expr $ev1_7*$IM*$d1+$ev2_7*$IM*$d2+$ev3_7*$IM*$d3]    0.0    0.0
    load   43       [expr $ev1_6*$IM*$d1+$ev2_6*$IM*$d2+$ev3_6*$IM*$d3]    0.0    0.0
    load   36       [expr $ev1_5*$IM*$d1+$ev2_5*$IM*$d2+$ev3_5*$IM*$d3]    0.0    0.0
    load   29       [expr $ev1_4*$IM*$d1+$ev2_4*$IM*$d2+$ev3_4*$IM*$d3]    0.0    0.0
    load   22       [expr $ev1_3*$IM*$d1+$ev2_3*$IM*$d2+$ev3_3*$IM*$d3]    0.0    0.0
    load   15       [expr $ev1_2*$IM*$d1+$ev2_2*$IM*$d2+$ev3_2*$IM*$d3]    0.0    0.0
    load    8       [expr $ev1_1*$IFM*$d1+$ev2_1*$IFM*$d2+$ev3_1*$IFM*$d3]    0.0    0.0
        }
    } else {
        puts stderr "Invalid story-force option."
    }



