#################################################################################################
#
# Static Pushover Analysis
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
################################################################################################  

source recorder.tcl
###################################################################################
#                               Push-over Analysis                                #
###################################################################################

set DxPush 0.5; # Control displacement dx
set DmaxPush 44.2; # Max control displacement 
set IDctrlNode 102; # Contol joint 
integrator DisplacementControl $IDctrlNode 1 $DxPush 1 $DxPush $DxPush
set Nsteps [expr int($DmaxPush/$DxPush)]
puts $Nsteps

###################################################################################

#recorder Node disp102.out disp  -time -node 60 -dof 1 

set ok [analyze $Nsteps]
# if analysis fails, try the following, performance is slowed inside this loop
if {$ok != 0} {

set ok 0;
set maxU $DmaxPush
set controlDisp 0.0;

test NormDispIncr 1.0e-8 1000 0

while {$controlDisp < $maxU && $ok == 0} {
set ok [analyze 1]
set controlDisp [nodeDisp $IDctrlNode 1]
if {$ok != 0} {
puts "Trying Newton with Initial Tangent .."
test NormDispIncr 1.0e-8 1000 1
algorithm Newton -initial
set ok [analyze 1]
test NormDispIncr 1.0e-8 1000 0
algorithm Newton
}
if {$ok != 0} {
puts "Trying Broyden .."
algorithm Broyden 8
set ok [analyze 1]
algorithm Newton
}
if {$ok != 0} {
puts "Trying NewtonWithLineSearch .."
algorithm NewtonLineSearch .8
set ok [analyze 1]
algorithm Newton
}
}; # end while loop
}; # end original if $ok!=0 loop
if {$ok != 0} {
puts "DispControl Analysis FAILED"
puts "Do you wish to continue y/n ?"; # include if want to pause at analysis failure
gets stdin ans; # not recommended in parameter study
if {$ans == "n"} done; # as it interrupts batch file
} else {
puts "DispControl Analysis SUCCESSFUL"
}
####################################################################################
#                                  End of Analysis                                 #
####################################################################################



