#################################################################################################												
#												
#	Cross	Section	Generator									
#												
#	Writen	by:	Erol	Kalkan								
#	Last	modified:	Sept	2003								
#												
#	Objective:											
#												
#	Units:	kip-in										
#################################################################################################												

#####################################################################												
	source	wsectionBox.tcl										

#				matID	t3	tw	t2	tf	nfdw	nftw	nfbf	nftf	#
	wsectionBox	11001	1	16.5	2.00	16.5	4.00	20	4	4	20
	wsectionBox	11002	1	16.5	1.00	16.5	2.50	20	4	4	20
	wsectionBox	11003	1	16.5	0.88	16.5	2.50	20	4	4	20
	wsectionBox	11004	1	16.5	0.88	16.5	1.75	20	4	4	20
											
	wsectionBox	12001	1	16.5	3.00	16.5	5.25	20	4	4	20
	wsectionBox	12002	1	17.0	3.00	16.0	3.00	20	4	4	20
	wsectionBox	12003	1	20.0	3.00	17.0	4.00	20	4	4	20
	wsectionBox	12004	1	20.0	2.50	17.0	4.00	20	4	4	20
											
	wsectionBox	13001	1	20.0	6.00	17.0	6.00	20	4	4	20
	wsectionBox	13002	1	20.0	2.75	17.0	5.00	20	4	4	20
	wsectionBox	13003	1	20.0	2.50	17.0	4.00	20	4	4	20
	wsectionBox	13004	1	12.0	0.88	16.5	1.00	20	4	4	20

	wsectionBox	14001	1	20.0	4.50	17.0	6.00	20	4	4	20
	wsectionBox	14002	1	16.5	1.13	16.5	3.00	20	4	4	20
	wsectionBox	14003	1	16.0	1.00	16.5	2.00	20	4	4	20
											
	wsectionBox	15001	1	16.5	1.00	16.5	3.00	20	4	4	20
	wsectionBox	15002	1	20.0	2.00	17.0	4.00	20	4	4	20
	wsectionBox	15003	1	16.5	0.88	13.5	0.88	20	4	4	20
											
	wsectionBox	16002	1	20.0	1.50	17.0	3.50	20	4	4	20
											
#####################################################################	
# Shear modulus of elasticity of steel
set G 11200; # in ksi

	uniaxialMaterial Elastic	1001	[expr $G*8944]
	uniaxialMaterial Elastic	1002	[expr $G*6628]
	uniaxialMaterial Elastic	1003	[expr $G*6514]
	uniaxialMaterial Elastic	1004	[expr $G*5330]

	uniaxialMaterial Elastic	2001	[expr $G*9940]
	uniaxialMaterial Elastic	2002	[expr $G*8654]
	uniaxialMaterial Elastic	2003	[expr $G*13926]
	uniaxialMaterial Elastic	2004	[expr $G*13688]

	uniaxialMaterial Elastic	3001	[expr $G*15766]
	uniaxialMaterial Elastic	3002	[expr $G*14814]
	uniaxialMaterial Elastic	3003	[expr $G*13688]
	uniaxialMaterial Elastic	3004	[expr $G*2792]

	uniaxialMaterial Elastic	4001	[expr $G*15642]
	uniaxialMaterial Elastic	4002	[expr $G*7422]
	uniaxialMaterial Elastic	4003	[expr $G*5589]

	uniaxialMaterial Elastic	5001	[expr $G*7326]
	uniaxialMaterial Elastic	5002	[expr $G*13448]
	uniaxialMaterial Elastic	5003	[expr $G*2721]

	uniaxialMaterial Elastic	6002	[expr $G*12382]


	#			   New sec  matTag         pre-sect-tag
	section Aggregator	1001	1001	T	-section 11001
	section Aggregator	1002	1002	T	-section 11002
	section Aggregator	1003	1003	T	-section 11003
	section Aggregator	1004	1004	T	-section 11004

	section Aggregator	2001	2001	T	-section 12001
	section Aggregator	2002	2002	T	-section 12002
	section Aggregator	2003	2003	T	-section 12003
	section Aggregator	2004	2004	T	-section 12004

	section Aggregator	3001	3001	T	-section 13001
	section Aggregator	3002	3002	T	-section 13002
	section Aggregator	3003	3003	T	-section 13003
	section Aggregator	3004	3004	T	-section 13004

	section Aggregator	4001	4001	T	-section 14001
	section Aggregator	4002	4002	T	-section 14002
	section Aggregator	4003	4003	T	-section 14003

	section Aggregator	5001	5001	T	-section 15001
	section Aggregator	5002	5002	T	-section 15002
	section Aggregator	5003	5003	T	-section 15003

	section Aggregator	6002	6002	T	-section 16002

#####################################################################											
puts	"Finished creating BOX sections..."										
