#################################################################################################														
#														
#	Cross	Section	Generator											
#														
#	Writen	by:	Erol	Kalkan										
#	Last	modified:	Sept	2003										
#														
#	Objective:													
#														
#	Units:	kip-in												
#################################################################################################														

#####################################################################														
	#	proc	WsectionL	{	secID	matID	t3	t2	tf	tw	nfdw	nftw	nfbf	nftf}

	  # input parameters													
	  # secID - section ID number										
	  # matID - material ID number 										
	  # t3  = outside vertical leg										
	  # t2 = outside horizontal leg										
	  # tf = horizontal leg thickness										
	  # tw = vertical leg thickness										
	  # nfdw = number of fibers along vertical leg										
	  # nftw = number of fibers along thickness of vertical leg										

	  # nftf = number of fibers along horizontal leg										
	  # nfbf = number of fibers along thickness of horizontal 										
	#====================================================================================#										
	#	matID	t3	t2	tf	tw	nfdw	nftw	nfbf	nftf	#
	#====================================================================================#										

	source	wsectionL.tcl									

#			matID	t3	tw	t2	tf	nfdw	nftw	nfbf	nftf	#
#	Section	L 6-4-5/8										
	wsectionL	16458	1	6.00	4.000	0.625	0.625	20	4	4	10	

#	Section	L 6-4-7/8										
	wsectionL	16478	1	6.00	4.000	0.875	0.875	20	4	4	10	
											
#	Section	L 6-4-7/16										
	wsectionL	164716	1	6.00	4.000	0.438	0.438	20	4	4	10	
												
#	Section	L 6-4-9/16										
	wsectionL	164916	1	6.00	4.000	0.563	0.563	20	4	4	10	
												
#	Section	L 7-4-3/8										
	wsectionL	17438	1	7.00	4.000	0.375	0.375	20	4	4	10	
												
#	Section	L 7-4-1/2										
	wsectionL	17412	1	7.00	4.000	0.500	0.500	20	4	4	10	
											
#	Section	L 7-4-5/8									
	wsectionL	17458	1	7.00	4.000	0.625	0.625	20	4	4	10
											
#	Section	L 8-4-3/4									
	wsectionL	18434	1	8.00	4.000	0.750	0.750	20	4	4	10
											
#	Section	L 8-4-1/2									
	wsectionL	18412	1	8.00	4.000	0.500	0.500	20	4	4	10
											
#	Section	L 8-4-9/16									
	wsectionL	184916	1	8.00	4.000	0.563	0.563	20	4	4	10
											
#####################################################################											
# Shear modulus of elasticity of steel
set G 11200; # in ksi

	uniaxialMaterial Elastic	6458	[expr $G*0.814]
	uniaxialMaterial Elastic	6478	[expr $G*2.233]
	uniaxialMaterial Elastic	64716	[expr $G*0.280]
	uniaxialMaterial Elastic	64916	[expr $G*0.595]
	uniaxialMaterial Elastic	7438	[expr $G*0.193]
	uniaxialMaterial Elastic	7412	[expr $G*0.458]
	uniaxialMaterial Elastic	7458	[expr $G*0.895]
	uniaxialMaterial Elastic	8434	[expr $G*1.688]
	uniaxialMaterial Elastic	8412	[expr $G*0.500]
	uniaxialMaterial Elastic	84916	[expr $G*0.714]


	#			   New sec  matTag         pre-sect-tag
	section Aggregator	6458	6458	T	-section 16458
	section Aggregator	6478	6478	T	-section 16478
	section Aggregator	64716 64716	T	-section 164716
	section Aggregator	64916 64916	T	-section 164916
	section Aggregator	7438	7438	T	-section 17438
	section Aggregator	7412	7412	T	-section 17412
	section Aggregator	7458	7458	T	-section 17458
	section Aggregator	8434	8434	T	-section 18434
	section Aggregator	8412	8412	T	-section 18412
	section Aggregator	84916	84916	T	-section 184916

#####################################################################	
puts	"Finished creating L-Shape cross sections..."										
