clear; clc;

dt=0.01;

%------------------------- Acceleration -------------------------------
load accelerationNS.out;
acc=accelerationNS;

T=acc(:,1);
subplot(2,1,1)
plot(T,acc(:,20)/386.2,':'); % Inch
ylabel('Acceleration (g)'); xlabel('Time (sec)');
%grid;zoom on;

%---------------------- Recorded Roof Acc.-----------------------------
load rec_ch14.tcl;
roofacc=rec_ch14;
[a b]=size(roofacc);

t=[0.0:dt:(dt*a-.01)];
hold;
plot(t,roofacc/386.2,'g');
legend('OpenSees','Observed')
axis([0 50 -1 1]);
%------------------------- Displacement -------------------------------
load Floor_19_Disp_NS.out;
disp=Floor_19_Disp_NS; 

subplot(2,1,2)
plot(T,disp,':'); % Inch
ylabel('Displacement (in)'); xlabel('Duration (sec)');
%grid;zoom on;

%---------------------- Recorded Roof Disp.-----------------------------
load rec_ch14_disp.tcl;
roofdisp=rec_ch14_disp;

load rec_ch2_disp.tcl;
basedisp=rec_ch2_disp;

[a b]=size(roofdisp);
[c d]=size(basedisp);

reldisp=roofdisp(1:a)-basedisp(1:a);

T3=[0.0:dt:(dt*a-0.01)];
hold;
plot(T3,reldisp,'g');
legend('OpenSees','Observed')
axis([0 50 -15 15]);







