clear; clc;

dt=0.01;

%------------------------- Acceleration -------------------------------
load accelerationNS20.out;
acc20=accelerationNS20;

load accelerationNS10.out;
acc10=accelerationNS10;

acc=(acc10(:,21)+acc20(:,21))*0.5;

T=acc10(:,1);
subplot(2,1,1)
plot(T,acc/386.2,'--'); % Inch
ylabel('Acceleration (g)'); xlabel('Time (sec)');
%grid;zoom on;

%---------------------- Recorded Roof Acc.-----------------------------
load rec_ch14.tcl;
roofacc=rec_ch14;
[a b]=size(roofacc);

t=[0.0:dt:(dt*a-0.01)];
hold;
plot(t,roofacc/386.2,'g');
legend('OpenSees','Observed')
axis([0 40 -1 1]);

%------------------------- Displacement -------------------------------
load Floor_19_Disp_NS.out;
disp=Floor_19_Disp_NS; 
disp=(disp(:,3)+disp(:,4))/2;

subplot(2,1,2)
plot(T,disp,'--'); % Inch
ylabel('Displacement (in)'); xlabel('Duration (sec)');

%---------------------- Recorded Roof Disp.-----------------------------
load rec_ch14_disp.tcl;
roofdisp=rec_ch14_disp;

load rec_ch2_disp.tcl;
basedisp=rec_ch2_disp;

[a b]=size(roofdisp);
[c d]=size(basedisp);

reldisp=roofdisp(1:a)-basedisp(1:a);

hold;
plot(t,reldisp,'g');
legend('OpenSees','Observed')
axis([0 40 -20 20]);







