%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
%
%                 FAST FOURIER TRANSFORM 
%
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
% Last updated : Apr. 04
% By Erol Kalkan
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
load rec_ch15.tcl;
acc=rec_ch15;
dt=0.01;

[N,b]=size(acc);

fta=fft(acc,N);

% Compute fourier amplitude
faa=abs(fta);

% Determine frequency step and generate frequency axis from deltaf to
% Nyquist frequency

deltaf=1/(N*dt);
freq=deltaf*(1:N/2);

% Extract first half of the fourier amplitude

faplota=faa(1:N/2);

% Plot normalized Fourier Spectra

plot(freq,faplota./N);
xlabel('Frequecy (Hz)');
ylabel('Fourier Amp. of Acceleration');
axis([0 6 0 max(faplota./N)]);





