%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
%
%             FAST FOURIER TRANSFORM FUNCTION
%
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
% Last updated : 04/01/04
% By Erol Kalkan
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
% Input acc,dt & output= freq,faplota
function [freq, faplota] = fourier(acc,dt);

[N,b]=size(acc);
fta=fft(acc,N);

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
% Compute fourier amplitude
faa=abs(fta);

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
% Determine frequency step and generate frequency axis from deltaf to
% Nyquist frequency
deltaf=1/(N*dt);
freq=deltaf*(1:N/2);
[a b]=size(freq);

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
% Extract first half of the fourier amplitude
faplota=faa(1:N/2);

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
% Polynomial fit to normalized fourier amplitude spectrum of acceleration
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`
%p=polyfit(freq',faplota./N,10);
%y=polyval(p,freq);

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`





