clear
clc

dt=0.02;

%------------------------- Acceleration -------------------------------
load acceleration.out;
acc=acceleration;

T=acc(:,1);
subplot(2,1,1)
plot(T,-1*acc(:,15)); % Inch
ylabel('Acceleration (in/sec)'); xlabel('Duration (sec)');
grid;zoom on;

%---------------------- Recorded Roof Acc.-----------------------------
load rec_ch9.tcl;
roofacc=rec_ch9;
[a b]=size(roofacc);

t=[0.02:dt:(dt*a)];
hold;
plot(t,-roofacc,'g');
legend('OpenSees','Observed')

%------------------------- Displacement -------------------------------
load Floor_14_Displ.out;
disp=Floor_14_Displ; 

subplot(2,1,2)
plot(T,-1*disp); % Inch
ylabel('Displacement (in/sec)'); xlabel('Duration (sec)');
grid;zoom on;

%---------------------- Recorded Roof Disp.-----------------------------
load rec_ch9_disp.tcl;
roofdisp=rec_ch9_disp;
[a b]=size(roofdisp);

T3=[0.02:dt:(dt*a)];
hold;
plot(T3,-roofdisp,'g');
legend('OpenSees','Observed')



break


%---------------------- Roof Acceleration -----------------------------
load ch2.txt;
accr=ch2;
dt=0.02
[a b]=size(accr);
l=a*b;
c=1
    for i=1:a;
        for j=1:b;
             ac(c)=accr(i,j);       
             c=c+1;
end
end
a=ac'*-1/2.54; %Convert from cm to inch

T=[0.02:dt:(dt*l)];
hold;
plot(T,a,'r');
legend('OpenSees','Observed')
%ylabel('Acceleration (in/sec)');
%xlabel('Duration (sec)');
%grid;
%zoom on;

% Displacement Time History Plots -------------------------------------

vel=cumtrapz(acc(:,2))*0.02;
vel2=cumtrapz(a)*0.02;

disp=cumtrapz(vel)*0.02;
disp2=cumtrapz(vel2)*0.02;

subplot(2,1,2)
plot(T,disp);
hold;
%plot(T,disp2,'-');
ylabel('Displacement (in)');
xlabel('Duration (sec)');
grid;
zoom on;


